Subject: bug#1547: face-font-rescale-alist has no effect

From: Kenichi Handa <[email-masked]>
Date: Tue, 16 Dec 2008 20:33:01 +0900

In article <[email-masked]>, "Juanma Barranquero" <[email-masked]> writes:

> On Sat, Dec 13, 2008 at 04:30, Kenichi Handa <[email-masked]> wrote:
> > Thank you for the reminder.  I've just installed a fix.

> Font rescaling is a bit weird, though.

> Using a test file with just two lines:

> aeiou
> áéíóú

> and running emacs with this:

>   emacs -q --eval "(add-to-list 'face-font-rescale-alist '(\"Courier
> New\" . 1.5))" test.txt

> the fonts used for the two lines are, respectively:

>     uniscribe:-outline-Courier
> New-normal-normal-normal-mono-13-*-*-*-c-*-iso8859-1
>     uniscribe:-outline-Courier
> New-normal-normal-normal-mono-19-*-*-*-c-*-iso10646-1

> so the fist line appears normal, while the second one is rescaled.

When Emacs creates the initial frame and selects the default
font, "(add-to-list ...)" is not yet evaluated, so if your
default fonts is 'Courier New', it is opened without
scaling.

What I currently don't understand is that the font rescaling
doesn't work for the default font in the above case even
after (clear-face-cache t).  I'm now investigating the
reason.

---
Kenichi Handa
[email-masked]